/**
 * WordPress dependencies
 */
import { __ } from "@wordpress/i18n";

export default {
	blockId: {
		type: 'string',
		default: '',
	},
	percent: {
		type: 'number',
		default: 60
	},
	speed: {
		type: 'number',
		default: 1
	},
	steps: {
		type: 'integer',
		default: 1
	},
	delay: {
		type: 'number',
		default: 1
	},
	textBefore: {
		type: 'string',
	},
	textMiddle: {
		type: 'string',
	},
	textAfter: {
		type: 'string',
	},
	content: {
		type: 'string',
		default: 'Add your content here'
	},
	barSize: {
		type: 'number',
		default: 4
	},
	barCap: {
		type: 'string',
		default: 'round'
	},
	circleOutsideColor: {
		type: 'string',
	},
	circleInsideColor: {
		type: 'string',
	},
	textBeforeColor: {
		type: 'string',
	},
	textMiddleColor: {
		type: 'string',
	},
	textAfterColor: {
		type: 'string',
	},
	contentColor: {
		type: 'string',
	},

	textBeforeFontFamily: {
		type: "string",
		default: "default",
	},
	textBeforeFontWeight: {
		type: "string",
	},
	textBeforeFontSubset: {
		type: "string",
		default: "latin",
	},
	textBeforeFontStyle: {
		type: "string",
	},
	textBeforeTextTransform: {
		type: "string",
	},
	textBeforeFontSize: {
		type: "number",
	},
	textBeforeFontSizeType: {
		type: "string",
		default: "px"
	},
	textBeforeFontSizeTablet: {
		type: "number",
	},
	textBeforeFontSizeMobile: {
		type: "number",
	},
	textBeforeLineHeight: {
		type: "number",
	},
	textBeforeLineHeightType: {
		type: "string",
		default: "px"
	},
	textBeforeLineHeightTablet: {
		type: "number",
	},
	textBeforeLineHeightMobile: {
		type: "number",
	},
	textBeforeLetterSpacing: {
		type: "number",
	},
	textBeforeLetterSpacingType: {
		type: "string",
		default: "px"
	},
	textBeforeLetterSpacingTablet: {
		type: "number",
	},
	textBeforeLetterSpacingMobile: {
		type: "number",
	},

	textMiddleFontFamily: {
		type: "string",
		default: "default",
	},
	textMiddleFontSubset: {
		type: "string",
	},
	textMiddleFontWeight: {
		type: "string",
		default: "latin",
	},
	textMiddleFontStyle: {
		type: "string",
	},
	textMiddleTextTransform: {
		type: "string",
	},
	textMiddleFontSize: {
		type: "number",
	},
	textMiddleFontSizeType: {
		type: "string",
		default: "px",
	},
	textMiddleFontSizeTablet: {
		type: "number",
	},
	textMiddleFontSizeMobile: {
		type: "number",
	},
	textMiddleLineHeight: {
		type: "number",
	},
	textMiddleLineHeightType: {
		type: "string",
		default: "px",
	},
	textMiddleLineHeightMobile: {
		type: "number",
	},
	textMiddleLineHeightTablet: {
		type: "number",
	},
	textMiddleLetterSpacing: {
		type: "number",
	},
	textMiddleLetterSpacingType: {
		type: "string",
		default: "px",
	},
	textMiddleLetterSpacingMobile: {
		type: "number",
	},
	textMiddleLetterSpacingTablet: {
		type: "number",
	},

	textAfterFontFamily: {
		type: "string",
		default: "default",
	},
	textAfterFontSubset: {
		type: "string",
	},
	textAfterFontWeight: {
		type: "string",
		default: "latin",
	},
	textAfterFontStyle: {
		type: "string",
	},
	textAfterTextTransform: {
		type: "string",
	},
	textAfterFontSize: {
		type: "number",
	},
	textAfterFontSizeType: {
		type: "string",
		default: "px",
	},
	textAfterFontSizeTablet: {
		type: "number",
	},
	textAfterFontSizeMobile: {
		type: "number",
	},
	textAfterLineHeight: {
		type: "number",
	},
	textAfterLineHeightType: {
		type: "string",
		default: "px",
	},
	textAfterLineHeightMobile: {
		type: "number",
	},
	textAfterLineHeightTablet: {
		type: "number",
	},
	textAfterLetterSpacing: {
		type: "number",
	},
	textAfterLetterSpacingType: {
		type: "string",
		default: "px",
	},
	textAfterLetterSpacingMobile: {
		type: "number",
	},
	textAfterLetterSpacingTablet: {
		type: "number",
	},

	contentFontFamily: {
		type: "string",
		default: "default",
	},
	contentFontSubset: {
		type: "string",
	},
	contentFontWeight: {
		type: "string",
		default: "latin",
	},
	contentFontStyle: {
		type: "string",
	},
	contentTextTransform: {
		type: "string",
	},
	contentFontSize: {
		type: "number",
	},
	contentFontSizeType: {
		type: "string",
		default: "px",
	},
	contentFontSizeTablet: {
		type: "number",
	},
	contentFontSizeMobile: {
		type: "number",
	},
	contentLineHeight: {
		type: "number",
	},
	contentLineHeightType: {
		type: "string",
		default: "px",
	},
	contentLineHeightMobile: {
		type: "number",
	},
	contentLineHeightTablet: {
		type: "number",
	},
	contentLetterSpacing: {
		type: "number",
	},
	contentLetterSpacingType: {
		type: "string",
		default: "px",
	},
	contentLetterSpacingMobile: {
		type: "number",
	},
	contentLetterSpacingTablet: {
		type: "number",
	},
};